Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 155602
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Stefan Schweizer <genstef@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Avuton Olrich <avuton@gmail.com>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
powersave-dbus-fix.diff Seems that my inline patch got chewed up. Here's a diff patch Avuton Olrich 2006-11-18 11:53 0000 466 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 155602 depends on: Show dependency tree
Bug 155602 blocks: 154521
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-11-18 11:45 0000
Noticed when going to the masked dbus that things didn't work the way I thought
they should. The newer powersave and dbus>0.95 require dbus-glib. Here's the
fix:

--- /usr/portage/sys-power/powersave/powersave-0.14.0.ebuild    2006-11-02
13:06:24.000000000 -0800
+++ powersave-0.14.0.ebuild     2006-11-18 11:43:13.000000000 -0800
@@ -13,7 +13,7 @@
 IUSE="pam_console doc"


-RDEPEND="|| ( dev-libs/dbus-glib >=sys-apps/dbus-0.30 )
+RDEPEND="|| ( ( dev-libs/dbus-glib >=sys-apps/dbus-0.95 ) <sys-apps/dbus-0.95
)
        >=sys-apps/hal-0.5.3
        >=sys-power/cpufrequtils-001
        pam_console? ( || ( sys-auth/pam_console <sys-libs/pam-0.99 ) )"

------- Comment #1 From Jakub Moc (RETIRED) 2006-11-18 11:51:46 0000 -------
Should actually be 

RDEPEND="|| ( dev-libs/dbus-glib ( <sys-apps/dbus-0.90 >=sys-apps/dbus-0.34 ) )

------- Comment #2 From Avuton Olrich 2006-11-18 11:53:18 0000 -------
Created an attachment (id=102291) [details]
Seems that my inline patch got chewed up. Here's a diff

------- Comment #3 From Stefan Schweizer 2006-11-18 13:22:48 0000 -------
thanks, fixed

------- Comment #4 From Jakub Moc (RETIRED) 2006-11-18 14:08:23 0000 -------
Well, as noted in Comment #1 - dbus-glib already depends on dbus, so that part
of the dependency is redundant; <sys-apps/dbus-0.95 is not the correct minimal
"non-modular" version; should be <sys-apps/dbus-0.90. See Bug 154521 for
porting howto.

------- Comment #5 From Avuton Olrich 2006-11-18 14:23:24 0000 -------
Whoops. I did test it on both dbus>0.95 and dbus<0.95 and it worked as
advertised. I'm unsure there's actually a different functionality that occurs
in comment 1 but I'm no ebuild ninja.

------- Comment #6 From Avuton Olrich 2006-11-18 14:40:18 0000 -------
Comment 1 doesnt work here, changing my diff to 0.90 would definitely be a fix,
if there were versions 0.90-0.95 (sorry didn't realize):
--- /usr/portage/sys-power/powersave/powersave-0.14.0.ebuild    2006-11-02
13:06:24.000000000 -0800
+++ powersave-0.14.0.ebuild     2006-11-18 14:36:55.876408088 -0800
@@ -13,7 +13,7 @@
 IUSE="pam_console doc"


-RDEPEND="|| ( dev-libs/dbus-glib >=sys-apps/dbus-0.30 )
+RDEPEND="|| ( dev-libs/dbus-glib ( <sys-apps/dbus-0.90 >=sys-apps/dbus-0.34 )
)
        >=sys-apps/hal-0.5.3
        >=sys-power/cpufrequtils-001
        pam_console? ( || ( sys-auth/pam_console <sys-libs/pam-0.99 ) )"


tulip powersave # echo 'sys-apps/dbus' >> /etc/portage/package.unmask
tulip powersave # emerge -pv dbus powersave

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-apps/dbus-1.0.1 [0.62-r1] USE="X -debug -doc (-selinux)
(-gtk%) (-mono%) (-python%*) (-qt3%*) (-qt4%*)" 0 kB
[ebuild   R   ] sys-power/powersave-0.14.0  USE="pam_console -doc" 0 kB [1]

------- Comment #7 From Stefan Schweizer 2006-11-19 09:18:49 0000 -------
really fixed now, Thanks

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug